Show / Hide Table of Contents

# Struct ActionManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ActionManager

### Methods

| Improve this Doc View Source

#### CheckActionResources(ActionType, UInt32, Void*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 85 C0 75 75 83 FF 03")]
    public uint CheckActionResources(ActionType actionType, uint actionId, void *actionData = default(void *))

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionId |
System.Void* | actionData |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetActionCost(ActionType, UInt32, Byte, Byte, Byte, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B 5C 24 ?? 48 83 C4 30 5F C3 33 D2", IsStatic = true)]
    public static int GetActionCost(ActionType actionType, uint actionId, byte a3, byte a4, byte a5, byte a6)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionId |
System.Byte | a3 |
System.Byte | a4 |
System.Byte | a5 |
System.Byte | a6 |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetActionInRangeOrLoS(UInt32, GameObject*, GameObject*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 85 C0 75 02 33 C0", IsStatic = true)]
    public static uint GetActionInRangeOrLoS(uint actionId, GameObject*sourceObject, GameObject*targetObject)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |
GameObject* | sourceObject |
GameObject* | targetObject |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetActionRange(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? F3 0F 11 43 ?? 80 3B 00", IsStatic = true)]
    public static float GetActionRange(uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetActionStatus(ActionType, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 83 BC 24 ?? ?? ?? ?? ?? 8B F0")]
    public uint GetActionStatus(ActionType actionType, uint actionID, uint targetID = 3758096384U, uint a4 = 1U, uint a5 = 1U)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.UInt32 | targetID |
System.UInt32 | a4 |
System.UInt32 | a5 |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetAdjustedActionId(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B F8 3B DF")]
    public uint GetAdjustedActionId(uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetAdjustedCastTime(ActionType, UInt32, Byte, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 33 D2 49 8B CE 66 44 0F 6E C0")]
    public float GetAdjustedCastTime(ActionType actionType, uint actionID, byte a3 = 1, byte a4 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Byte | a3 |
System.Byte | a4 |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetAdjustedRecastTime(ActionType, UInt32, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B D6 41 8B CF")]
    public float GetAdjustedRecastTime(ActionType actionType, uint actionID, byte a3 = 1)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Byte | a3 |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetMaxCharges(UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 33 DB 8B C8", IsStatic = true)]
    public static ushort GetMaxCharges(uint actionId, uint level)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |
System.UInt32 | level |

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GetRecastGroup(Int32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B D0 48 8B CD 8B F0")]
    public int GetRecastGroup(int type, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | type |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetRecastGroupDetail(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F 57 FF 48 85 C0")]
    public RecastDetail*GetRecastGroupDetail(int recastGroup)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | recastGroup |

##### Returns

Type | Description
--- | ---
RecastDetail* |

| Improve this Doc View Source

#### GetRecastTime(ActionType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F 2F C7 0F 28 7C 24")]
    public float GetRecastTime(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetRecastTimeElapsed(ActionType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? F3 0F 5C F0 49 8B CD")]
    public float GetRecastTimeElapsed(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 0D ?? ?? ?? ?? F3 0F 10 13", 0, false)]
    public static ActionManager*Instance()

##### Returns

Type | Description
--- | ---
ActionManager* |

| Improve this Doc View Source

#### IsRecastTimerActive(ActionType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3C 01 74 45")]
    public bool IsRecastTimerActive(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseAction(ActionType, UInt32, UInt32, UInt32, UInt32, UInt32, Void*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? EB 64 B1 01")]
    public bool UseAction(ActionType actionType, uint actionID, uint targetID = 3758096384U, uint a4 = 0U, uint a5 = 0U, uint a6 = 0U, void *a7 = default(void *))

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.UInt32 | targetID |
System.UInt32 | a4 |
System.UInt32 | a5 |
System.UInt32 | a6 |
System.Void* | a7 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseActionLocation(ActionType, UInt32, UInt32, Vector3*, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3C 01 0F 85 ?? ?? ?? ?? EB 46")]
    public bool UseActionLocation(ActionType actionType, uint actionID, uint targetID = 3758096384U, Vector3*location = default(Vector3*), uint a4 = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.UInt32 | targetID |
Vector3* | location |
System.UInt32 | a4 |

##### Returns

Type | Description
--- | ---
System.Boolean |